#include "spu_utils.h"
#include "blas_spu.h"
#include <stdio.h>

int calc_chunk(int left, int chunksize)
{
	return 	(chunksize < left ? chunksize : left);
}

int calc_chunk_dma(int left, int chunksize)
{
	int chunk =	(chunksize < left ? chunksize : left);
	if(chunk%4)
		chunk += 4-(chunk%4); // dma transfers must be factor of 16B
//	printf("dma_chunk: %d\n", chunk);
	return chunk;
}

void dma_wait(int tag)
{
	mfc_write_tag_mask(1<<tag);
	mfc_read_tag_status_all();
}

