#include "spu_time.h"
#include <spu_mfcio.h>

void startTimer(spu_timer* timer)
{

	timer->startTime = spu_read_decrementer();
}

void stopTimer(spu_timer* timer)
{
	long long tmp = timer->startTime - spu_read_decrementer();
	if(tmp < 0)
		tmp += 4294967296; // 2^32 for wraparound
	timer->time += tmp;
}

float getTime(spu_timer* timer)
{
	return ((float)timer->time)/TIMEBASE;
}
