/* ********************************************** *
 * spu-part of the test-program, will use spu-lib *
 * to communicate with the ppu-part this is step2 *
 * ********************************************** */

#include "../../NestStep_spulib/neststep_spu.h"

int main(unsigned long long speid, Addr64 argp, Addr64 envp) {
    NestStep_SPU_init(argp);

    /*
      This is added by the NestStep frontend
    */
    Name name;
    name.procedure = 1;
    name.relative = 0;
    ShVar* a = locate_ShVar(name,&dataManager);
    //spu part 2
    //step {
    NestStep_step();
    {
        //NOTE: seq use NestStep_get_rank() == 1
        {
            int *_a = malloc(sizeof(int));
	    get_ShVarI(a,(Addr64)_a);
	    wait_ShVar_complete(a,(Addr64)_a);
            _a += 1;
            store_ShVarI(a,(Addr64)_a);
	    wait_ShVar_complete(a,(Addr64)_a);
        }
    } 
    NestStep_combine(NULL,NULL);
    NestStep_end_step();
    NestStep_SPU_finalize();
    
    return 0;
}
