/* ********************************************** *
 * ppu-part of the test-program, will use ppu-lib *
 * to communicate with the spu-part               *
 * ********************************************** */

#include "../../NestStep_ppulib/neststep_ppu.h"

extern spe_program_handle_t spu_step1, spu_step2;


int main(int argc, char** argv){
	NestStep_PPU_init(&argc, &argv); // NestStep Initialization
        //All NestStep-code should run on the SPU, 
	printf("NestStep run spu_step1\n");
        NestStep_run_spu_thread(spu_step1);
	printf("NestStep run spu_step2\n");
	//	printf("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
	NestStep_run_spu_thread(spu_step2);
        //only data output should be here
	NestStep_PPU_finalize();
	return 0;
}

//sh int a; // rep var

//int main(int argc, char** argv){
//	NestStep_init(&argc, &argv); // NestStep Initialization
//	sh int b; // rep var
//	sh int c[5]<%>; // cyclic arr
//	sh int d[5]</>; // block arr
//	sh int e[6]<%>[7]; // cyclic arr on first index
//	int f; // priv var
//	int g[5]; // priv arr
//	sh<+> int k[20]; // rep arr with combine-function set 
//                         // to other than default
//        step { // this must be run on spu, so move it into another file..
//		int h; // priv var
//		sh int i; // rep var
//		sh int j[5]</> // block arr
//		int _b = get_sh_var("b");
//		int* _g = get_priv_arr("g");
//		wait_priv_arr_complete("g");
//		forall(h in _g){
//			_b += _g[h];
//			_g[h]=h;
//		}
//		store_priv_arr("g",_g,0,sizeof(_g));
//	} combine(b<+>,a<+:f>,g[0:5]<+>); // h, i, j out of scope
//	step {
//		seq {
//			int _a = get_sh_var("a");
//			_a += 1;
//			store_sh_var("a");
//		}
//	}
//
//	NestStep_finalize();
//	return 0;
//}
