/* ********************************************** *
 * spu-part of the test-program, will use spu-lib *
 * to communicate with the ppu-part this is step2 *
 * ********************************************** */

#include "../../NestStep_spulib/neststep_spu.h"

int main(unsigned long long speid, Addr64 argp, Addr64 envp) {
    NestStep_SPU_init(argp);
    int rank = NestStep_get_rank();
    /*
      This is added by the NestStep frontend
    */

    Name name;
    name.procedure = 1;
    name.relative = 0;
    ShVar* a = locate_ShVar(name,&dataManager);
    name.relative = 11;
    PVar* f = locate_PVar(name,&dataManager);

    //    printf("%i, after locate\n",rank);
    //spu part 2
    //step {
    NestStep_step();
    {
        //NOTE: seq = if(NestStep_get_rank() == 0)
        {
	    //	    printf("%i, inside step\n",rank);
            int _a;
	    get_ShVarI(a,(Addr64)&_a);
	    wait_ShVar_complete(a,(Addr64)&_a);
            _a += 1;
	    //printf("NS store_ShVarI addr: %lx\n",_a);
	    printf("%i, ShVar before combine: a: %i\n",rank,_a);
            store_ShVarI(a, (Addr64)&_a);
	    wait_ShVar_complete(a,(Addr64)&_a);
	    //	    printf("%i, after complete\n",rank);
        }
	NestStep_ShVar_attach(a,OR,NULL,PREFIX,f,NOT_UPDATED,NULL);
    }
    NestStep_combine(NULL,NULL);
    //    printf("%i after combine\n",rank); //if i remove this row then the program crashes....

    NestStep_end_step();
    //    free_ShVar(a);
    int _f3;
    get_PVarI(f,(Addr64)&_f3);
    wait_PVar_complete(f,(Addr64)&_f3);
    printf("%i, ShVar after combine: f: %i\n",rank,_f3);
    NestStep_SPU_finalize();
    printf("%i,2 After NestStep_SPU_finalize()\n",rank);    
    
//    if(spu_stat_in_mbox()){
//	printf("got pending messages...\n");
//    }
//    exit(0);
    //    exit(0); // now why can't the program exit normally?
    //    printf("errno: %i\n",errno);
    return 0;
}
